## org.h2.jdbcx
Class JdbcXid

    java.lang.Object
      org.h2.message.TraceObject
          org.h2.jdbcx.JdbcXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

    public class JdbcXid

extends TraceObject
implements javax.transaction.xa.Xid

An object of this class represents a transaction id.

Field Summary

Fields inherited from class org.h2.message.TraceObject
`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQL_EXCEPTION, STATEMENT, trace, XA_DATA_SOURCE, XA_RESOURCE, XID`

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Method Summary
`byte[]` `getBranchQualifier()` The transaction branch identifier.
`int` `getFormatId()` Get the format id.
`byte[]` `getGlobalTransactionId()` The global transaction identifier.
`static java.lang.String` `toString(javax.transaction.xa.Xid xid)` INTERNAL

Methods inherited from class org.h2.message.TraceObject
`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTrace, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toString

    public static java.lang.String toString(javax.transaction.xa.Xid xid)

  INTERNAL

### getFormatId

    public int getFormatId()

  Get the format id.

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`
  Returns:
    the format id

### getBranchQualifier

    public byte[] getBranchQualifier()

  The transaction branch identifier.

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`
  Returns:
    the identifier

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  The global transaction identifier.

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`
  Returns:
    the transaction id